% ---------------------------------------------------------------
%
% Function detecs the entries in a matrix error 'E' that are below
% a given threshold 'e'.
% This functions is used on the matrix error resulting from function
% 'test' 
%
% ---------------------------------------------------------------
function G=Cut(E,e)
  
  [a,m]=size(E);  % E must be squared (we assume so...)

  G=zeros(1,a);

  for i=1:a  %image size
    if E(i,1)<0
      G(i)=G(i-1);
    else
      for j=1:i % the moment order is < image size
         if E(i,j)<e G(i)=j; end
      end
    end
  end
