% ---------------------------------------------------------------
% e=Error(M1,M2)
%
% Returns the mean quadratic error between two matrices
% that can be, for instance, images.
%
% Input parameters:
%       > M1: The first matrix
%       > M2: the second matrix
% Output parameters:
%       > e: The mean relative quadratic error.
%
% ---------------------------------------------------------------
function e=Error(M1,M2)

  Mdif=M1-M2;
  [a,b]=size(Mdif);
  for i=1:a
    for j=1:b
      Mdif(i,j)=Mdif(i,j)*Mdif(i,j);
    end
  end
  e=sum(Mdif(:))/(a*b);
