% iA=KaczmarzInvert(A)
% 
% Returns iA, the inverse of matrix A computed via the Kaczmarz Metod (with
% relaxation parameters
%
% This method is one of the alternative to be used in the InvertMatrix fucntion.
%
% Input parameters:
%       > A: (m,n) Matrix to be inverted.
% Output parameters:
%       > iA: The inverse matrix, with size (n,m)
%
% ---------------------------------------------------------------
function iA=KaczmarzInvert(A)

  [m,n]=size(A);
  if m~=n
    error('Non-squared matrix in KaczmarzInvert');
  end
  % We initialize the inverse
  iA=zeros(n,n);
  
  for i=1:n
    %we compute one column the inverse at a time
    b=zeros(m,1);
    b(i)=1;
    iA(:,i)=Kaczmarz(A,b);
    i
  end
  