% ---------------------------------------------------------------
% I=ReadImage(filename)
%
% Reads an image from a file with the format
%    <nrows> <ncolums>
%    <pixel values>
% Original files contain the image transposed.
% Input parameters:
%       > filename: name of the file to read (relative to
%                   current path)
% Output parameters:
%       > M: The matrix containing the image
%
% ---------------------------------------------------------------
function I=ReadImage(filename);
  fid = fopen(filename,'r');
  [D] = fscanf(fid,'%d',[2]);
  I = fscanf(fid,'%f',[D(1),D(2)]);
  fclose(fid);


